Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Fri, 25 Feb 2022 13:02:59 +0000

Hi Naif Teni,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Hi! My order number  is 6126702973 ...Actual delivery schedule I got msg as 21 Feb... I received call from delivery associate and he asked me to send the location I send the location to him for two times...he said that he will come ...buy he didn't came...
another delivery associate called on 23 Feb he also asked the same details I send him the location three times he said he will be there in 15 mins ...But he also didn't come....Again today I received same msg from max for delivery .
But no one called today for the delivery till now....
I called the customer care also but the number is not reachable...
Refund my money...
I didn't expect this form MAX
.....WORST EXPERIENCE!!!!!!!!!! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3941118